MODUNLOAD(8) | System Manager's Manual | MODUNLOAD(8)

# NAME

`modunload` —
unload a kernel module

# SYNOPSIS

`modunload` | name ...

# DESCRIPTION

The `modunload` utility unloads a loadable kernel module from a running system.

name is name of the module to be unloaded, as shown by modstat(8).

Builtin modules will not be unloaded from memory, but they will be disabled. They can be re-enabled using modload(8).

# DIAGNOSTICS

The `modunload` utility exits with a status of 0 on success and with a nonzero status if an error occurs.

# SEE ALSO

modctl(2), module(7), modload(8), modstat(8)

# HISTORY

A `modunload` utility appeared in NetBSD 5.0. The `modunload` command was designed to be similar in functionality to the corresponding command in SunOS 4.1.3.

# AUTHORS

Andrew Doran <ad@NetBSD.org>.

September 12, 2016 | NetBSD 9.4